version: "3.9"

services:
  lipsync_api:
    build: .
    container_name: lipsync_api
    ports:
      - "5001:5001"
    volumes:
      - ./uploads:/app/uploads
      - ./outputs:/app/outputs
      - ./wav2lip_core/checkpoints:/app/wav2lip_core/checkpoints
    environment:
      - FLASK_ENV=development
    restart: unless-stopped
